<template>
  <q-layout view="lHh Lpr lFf">
    <!-- <q-header bordered class="bg-white text-primary"> -->
    <q-header bordered class="text-primary" style="background-color: #f6edd9">
      <q-toolbar>
        <q-btn
          flat
          size="lg"
          round
          icon="menu"
          aria-label="Menu"
          @click="toggleLeftDrawer"
        />

        <q-toolbar-title class="flex items-end">
          <RouterLink :to="{ name: 'home' }">
            <q-img
              src="src/assets/masia-casa-que-rebrota-www.Masies-x-viure.cat.svg"
              height="auto"
              width="30px"
              spinner-color="primary"
              spinner-size="82px"
              style="fill: red !important"
            />
          </RouterLink>
          <div
            style="display: flex; align-items: flex-end; line-height: 20px"
            class="q-ml-sm"
          >
            Masies x Viure
            <span class="q-ml-xs text-overline text-accent"> Beta</span>
          </div>
        </q-toolbar-title>

        <div class="" v-if="devmode">
          Screen:
          <span class="xs text-green">XS</span>
          <span class="sm">SM</span>
          <span class="md text-green">MD</span>
          <span class="lg">LG</span>
          <span class="xl text-green">XL</span>
        </div>
      </q-toolbar>
    </q-header>

    <q-drawer v-model="leftDrawerOpen" show-if-above bordered>
      <q-list>
        <q-item-label header> Masies x Viure </q-item-label>

        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script setup lang="ts">
import { ref } from 'vue'
import EssentialLink, { EssentialLinkProps } from 'components/EssentialLink.vue'

const devmode = process.env.DEV

const essentialLinks: EssentialLinkProps[] = [
  {
    title: 'Docs',
    caption: 'quasar.dev',
    icon: 'school',
    link: 'https://quasar.dev',
  },
  {
    title: 'Github',
    caption: 'github.com/quasarframework',
    icon: 'code',
    link: 'https://github.com/quasarframework',
  },
  {
    title: 'Discord Chat Channel',
    caption: 'chat.quasar.dev',
    icon: 'chat',
    link: 'https://chat.quasar.dev',
  },
  {
    title: 'Forum',
    caption: 'forum.quasar.dev',
    icon: 'record_voice_over',
    link: 'https://forum.quasar.dev',
  },
  {
    title: 'Twitter',
    caption: '@quasarframework',
    icon: 'rss_feed',
    link: 'https://twitter.quasar.dev',
  },
  {
    title: 'Facebook',
    caption: '@QuasarFramework',
    icon: 'public',
    link: 'https://facebook.quasar.dev',
  },
  {
    title: 'Quasar Awesome',
    caption: 'Community Quasar projects',
    icon: 'favorite',
    link: 'https://awesome.quasar.dev',
  },
]

const leftDrawerOpen = ref(false)

function toggleLeftDrawer() {
  leftDrawerOpen.value = !leftDrawerOpen.value
}
</script>
